/***************************************************************************
 *   Copyright (C) 2004 by Reto Schoelly,,,                                *
 *   reto@reto-schoelly.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#define PI 3.14159265f

#define LINUX

#define MOUSE_RIGHT 2
#define MOUSE_LEFT 1

#define ROTATION_DEFAULT 0
#define ROTATION_ARCBALL 1

#define VIEWDEPTH 100
#define VIEWNEARDIST 1

#define CAMERA_POSITION_X 18.0f
#define CAMERA_POSITION_Y 18.0f
#define CAMERA_POSITION_Z 13.0f
#define CAMERA_DISTANCE 32.0f

#define SCALE_Z 0.1f;

#define COLOR_SHADOW_RED 0.1f
#define COLOR_SHADOW_GREEN 0.1f
#define COLOR_SHADOW_BLUE 0.1f
#define COLOR_SHADOW_ALPHA 0.5f

#define BOARD_SIZE 1000

#define TILE_WIDTH 1.8f
#define TILE_HEIGHT 2.3f
#define TILE_DEPTH 1.0f
#define TILE_FILLET_RADIUS 0.25f

#define NUMBER_WIDTH 0.3f
#define NUMBER_HEIGHT 0.5f

#define CONGRATULATIONS_WIDTH 50.0f
#define CONGRATULATIONS_HEIGHT 50.0f

#define TILE_LOCKED 0
#define TILE_EMPTY 1
#define TILE_UNMARKED 2
#define TILE_MARKED 3

#define NUM_TILES 36
#define NUM_TEXTURES 42


#define PICKING_BUFFER 512

